import FuncMain from './Functions/FuncMain';
import FuncDataMeter from './Functions/LevelAFunctions/FuncDataMeter';
import FuncLimitedSpace from './Functions/LevelAFunctions/FuncLimitedSpace';
import FuncLogin from './Functions/LevelAFunctions/FuncLogin';
import FuncMap from './Functions/LevelAFunctions/FuncMap';
import FuncPlatformMenu from './Functions/LevelAFunctions/FuncPlatformMenu';
import FuncProjectSelection from './Functions/LevelAFunctions/FuncProjectSelection';

class Os {
  funcMain: FuncMain;
  funcLogin: FuncLogin;
  funcPlatformMenu: FuncPlatformMenu;
  funcMap: FuncMap;
  funcProjectSelection: FuncProjectSelection;
  funcDataMeter: FuncDataMeter;
  funcLimitedSpace: FuncLimitedSpace;
  constructor() {
    this.funcMain = new FuncMain('FuncMain');
    this.funcLogin = new FuncLogin('FuncLogin');
    this.funcPlatformMenu = new FuncPlatformMenu('FuncPlatformMenu');
    this.funcMap = new FuncMap('FuncMap');
    this.funcProjectSelection = new FuncProjectSelection(
      'FuncProjectSelection',
    );
    this.funcDataMeter = new FuncDataMeter('FuncDataMeter');
    this.funcLimitedSpace = new FuncLimitedSpace('FuncLimitedSpace');
  }
}

export default Os;
